Account

Create API key

POST
/account/api-keys

Create a new API key. Plaintext is shown once in the response.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

An API key

Request Body

application/json
  1. body
project_id?|

Project ID. Null = user-scoped key.

name?|

User-supplied label

Response Body

Successful Response

application/json
  1. response
api_key*string

Plaintext API key (shown once)

key_id*string
scope*APIKeyScope

Scope of an API key.

Value in"PROJECT""USER"
curl -X POST 'https://api.deepscout.ai/v1/account/api-keys' \  -H 'Content-Type: application/json' \  -d '{}'
{  "api_key": "string",  "key_id": "string",  "scope": "PROJECT"}